unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TForm1 = class(TForm)
	procedure FormCreate(Sender: TObject);
	procedure FormKeyDown(Sender: TObject; var Key: Word;
	  Shift: TShiftState);
  private
	{ Private declarations }
  public
	procedure IdleProc(Sender: TObject; var Done: Boolean);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  UMainSys;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Application.OnIdle := IdleProc;
  MainSystem := TMainSystem.Create(Self.Handle);
end;

procedure TForm1.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
  GameKey := Key;
end;

procedure TForm1.IdleProc(Sender: TObject; var Done: Boolean);
begin
  GetCursorPos( GameCursor );
  if not GameOption.UseFullScreen then begin
	ScreenToClient( GameCursor );
  end;

  if ( not MainSystem.MainProc ) then begin
	MainSystem.Free;

	if GameOption.UseFullScreen then begin
	  MoveWindow( Handle, 10000, 0, 0, 0, TRUE );
	  ShowCursor( TRUE );
	end;
	Close;
  end;
  Done := FALSE;
end;

Initialization

	ResourceDLL := LoadLibrary( 'JudyMary.Dat' );

	with GameOption do begin
		Handle        := 0;
		Width         := 640;
		Height        := 480;
		Depth         := 16;
		UseFullScreen := TRUE;
	end;

Finalization

	if ResourceDLL <> 0 then
		FreeLibrary( ResourceDLL );


end.
